<?php
/* Busqueda de registros de la tabla cr_llamada_movimiento redefinidos por el usuario. */
class Cr_llamada_movimientoFN extends BaseCr_llamada_movimientoFN
{
    public static function getValuesLlamadaMov( $i_Id )
    {
        $s_Sql = "SELECT * FROM cr_llamada_movimiento WHERE IdMovimientoLlamada='$i_Id';";
        $o_cr_llamada_movimientoFN = new Cr_llamada_movimientoFN();
        $o_Resource = $o_cr_llamada_movimientoFN->getConnect();
        $o_Result = mysql_query( $s_Sql, $o_Resource );
        $a_Row = mysql_fetch_array( $o_Result, MYSQLI_ASSOC );
        return $a_Row;
    }
    
    public static function getValuesTelefono( $i_Id )
    {
        $s_Sql = "SELECT * FROM cr_cliente_telefono WHERE IdTelefono='$i_Id';";
        $o_cr_llamada_movimientoFN = new Cr_llamada_movimientoFN();
        $o_Resource = $o_cr_llamada_movimientoFN->getConnect();
        $o_Result = mysql_query( $s_Sql, $o_Resource );
        $a_Row = mysql_fetch_array( $o_Result, MYSQLI_ASSOC );
        return $a_Row;
    }
    
    public static function getUltimoIdIngresado( $i_Id )
    {
        $s_Sql = "SELECT IdMovimientoLlamada FROM cr_llamada_movimiento WHERE IdCabecera='$i_Id' ORDER BY FechaRegistro DESC LIMIT 1;";
        $o_cr_llamada_movimientoFN = new Cr_llamada_movimientoFN();
        $o_Resource = $o_cr_llamada_movimientoFN->getConnect();
        $o_Result = mysql_query( $s_Sql, $o_Resource );
        $i_NumRows = mysql_num_rows( $o_Result );
        $IdMovimientoLlamada = null;
        if( $i_NumRows > 0 )
        {
            $a_Row = mysql_fetch_array( $o_Result, MYSQLI_ASSOC );
            $IdMovimientoLlamada = $a_Row['IdMovimientoLlamada'];
        }
        return $IdMovimientoLlamada;
    }
    
    public static function getNumeroLlamadas( $i_Id )
    {
        $s_Sql = "SELECT COUNT(*) CNT FROM cr_llamada_movimiento WHERE IdCabecera='$i_Id';";
        $o_cr_llamada_movimientoFN = new Cr_llamada_movimientoFN();
        $o_Resource = $o_cr_llamada_movimientoFN->getConnect();
        $o_Result = mysql_query( $s_Sql, $o_Resource );
        $a_Row = mysql_fetch_array( $o_Result, MYSQLI_ASSOC );
        return $a_Row['CNT'];
    }
}
?>